package speiger.src.coreengine.rendering.gui.renderer;

import speiger.src.coreengine.rendering.gui.GuiComponent;

public interface IComponentRenderer<T extends GuiComponent>
{
	public void onPreRender(T component);
	public boolean render(T component);
	public void onPostRender(T component);
}
